# Future Me

#### Create Future Me predictions based on user scans.

Use these endpoints to generate **Future Me** predictions that simulate how a user’s body shape and composition could change under different target conditions (for example, a lower body weight or body fat percentage). Predictions are always linked to an existing scan and can be queried or deleted independently of other scans.

All Future Me endpoints require the following headers:

```http
accept: application/json;v=1
authorization: Bearer {{API_KEY}}
content-type: application/json
```

Replace `{{API_KEY}}` with your Prism API key for the selected environment.

## Register a new body shape prediction

> This operation registers a new \*\*Future Me\*\* body shape prediction for a specific scan.\
> \
> Use this endpoint to simulate how a user's body shape and composition could change for a given goal (for example, a lower target weight or body fat percentage).\
> \
> \*\*Note:\*\* Either a target weight \*\*or\*\* a target body fat percentage must be specified, but not both at the same time.

````json
{"openapi":"3.0.3","info":{"title":"Prism Hosted API","version":"1"},"tags":[{"name":"Future Me","description":"### Create Future Me predictions based on user scans.\n\nUse these endpoints to generate **Future Me** predictions that simulate how a user’s body shape and composition could change under different target conditions (for example, a lower body weight or body fat percentage).\nPredictions are always linked to an existing scan and can be queried or deleted independently of other scans.\n\nAll Future Me endpoints require the following headers:\n```http\naccept: application/json;v=1\nauthorization: Bearer {{API_KEY}}\ncontent-type: application/json\n```\nReplace `{{API_KEY}}` with your Prism API key for the selected environment.","parent":"Prism Hosted API"}],"servers":[{"url":"https://api.hosted.prismlabs.tech","description":"Production environment for Prism Hosted API"},{"url":"https://sandbox-api.hosted.prismlabs.tech","description":"Sandbox environment for Prism Hosted API"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","name":"Authorization","in":"header"}},"schemas":{"CreateBodyShapePredictionDto":{"type":"object","properties":{"scanId":{"type":"string","description":"The unique ID of the scan within the Hosted API on which the body shape prediction is based."},"predictionType":{"type":"string","enum":["weight_loss"],"description":"The prediction type that should be used for the prediction."},"targetWeight":{"type":"number","minimum":1,"description":"The target weight in kg for the prediction. This or targetBodyfat should be specified, but not both."},"targetBodyfat":{"type":"number","minimum":1,"description":"The target body fat percentage for the prediction. This or targetWeight should be specified, but not both."}},"required":["scanId","predictionType"]},"BodyShapePredictionDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique ID of the body shape prediction."},"status":{"enum":["CREATED","PROCESSING","READY","FAILED"],"type":"string","description":"The current body shape prediction status."},"scanId":{"type":"string","description":"The unique ID of the scan within the Hosted API on which the body shape prediction is based."},"predictionType":{"type":"string","enum":["weight_loss"],"description":"The prediction type of the prediction."},"targetWeight":{"type":"number","nullable":true,"description":"Target body weight for the prediction."},"targetBodyfat":{"type":"number","nullable":true,"description":"Target body fat for the prediction."},"createdAt":{"type":"string","description":"The date and time when the body shape prediction was created."},"updatedAt":{"type":"string","description":"The date and time when the body shape prediction was last updated."}},"required":["id","status","scanId","predictionType","createdAt","updatedAt"]}}},"paths":{"/body-shape-prediction":{"post":{"description":"This operation registers a new **Future Me** body shape prediction for a specific scan.\n\nUse this endpoint to simulate how a user's body shape and composition could change for a given goal (for example, a lower target weight or body fat percentage).\n\n**Note:** Either a target weight **or** a target body fat percentage must be specified, but not both at the same time.","operationId":"BodyShapePredictionController_create_1","parameters":[{"name":"unit-system","required":false,"in":"query","description":"The unit system in which values will be returned.","schema":{"enum":["metric","imperial"],"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBodyShapePredictionDto"}}}},"responses":{"201":{"description":"","content":{"application/json;v=1":{"schema":{"$ref":"#/components/schemas/BodyShapePredictionDto"}}}}},"summary":"Register a new body shape prediction","tags":["Future Me"]}}}}
````

## Get status of a body shape prediction

> \
> This operation returns the current \*\*status\*\* and details of a specific \*\*body shape prediction\*\*.\
> \
> Use this endpoint to poll the processing status after creating a prediction or to retrieve its latest state for display in your application.

````json
{"openapi":"3.0.3","info":{"title":"Prism Hosted API","version":"1"},"tags":[{"name":"Future Me","description":"### Create Future Me predictions based on user scans.\n\nUse these endpoints to generate **Future Me** predictions that simulate how a user’s body shape and composition could change under different target conditions (for example, a lower body weight or body fat percentage).\nPredictions are always linked to an existing scan and can be queried or deleted independently of other scans.\n\nAll Future Me endpoints require the following headers:\n```http\naccept: application/json;v=1\nauthorization: Bearer {{API_KEY}}\ncontent-type: application/json\n```\nReplace `{{API_KEY}}` with your Prism API key for the selected environment.","parent":"Prism Hosted API"}],"servers":[{"url":"https://api.hosted.prismlabs.tech","description":"Production environment for Prism Hosted API"},{"url":"https://sandbox-api.hosted.prismlabs.tech","description":"Sandbox environment for Prism Hosted API"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","name":"Authorization","in":"header"}},"schemas":{"BodyShapePredictionDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique ID of the body shape prediction."},"status":{"enum":["CREATED","PROCESSING","READY","FAILED"],"type":"string","description":"The current body shape prediction status."},"scanId":{"type":"string","description":"The unique ID of the scan within the Hosted API on which the body shape prediction is based."},"predictionType":{"type":"string","enum":["weight_loss"],"description":"The prediction type of the prediction."},"targetWeight":{"type":"number","nullable":true,"description":"Target body weight for the prediction."},"targetBodyfat":{"type":"number","nullable":true,"description":"Target body fat for the prediction."},"createdAt":{"type":"string","description":"The date and time when the body shape prediction was created."},"updatedAt":{"type":"string","description":"The date and time when the body shape prediction was last updated."}},"required":["id","status","scanId","predictionType","createdAt","updatedAt"]}}},"paths":{"/body-shape-prediction/{bodyShapePredictionId}":{"get":{"description":"\nThis operation returns the current **status** and details of a specific **body shape prediction**.\n\nUse this endpoint to poll the processing status after creating a prediction or to retrieve its latest state for display in your application.","operationId":"BodyShapePredictionController_findOne_1","parameters":[{"name":"bodyShapePredictionId","required":true,"in":"path","description":"The unique ID of the body shape prediction.","schema":{"type":"string"}},{"name":"unit-system","required":false,"in":"query","description":"The unit system in which values will be returned.","schema":{"enum":["metric","imperial"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json;v=1":{"schema":{"$ref":"#/components/schemas/BodyShapePredictionDto"}}}}},"summary":"Get status of a body shape prediction","tags":["Future Me"]}}}}
````

## Delete a body shape prediction

> \
> This operation deletes a specific \*\*body shape prediction\*\*.\
> After deletion, the body shape prediction and its associated data are no longer available for retrieval or reporting.

````json
{"openapi":"3.0.3","info":{"title":"Prism Hosted API","version":"1"},"tags":[{"name":"Future Me","description":"### Create Future Me predictions based on user scans.\n\nUse these endpoints to generate **Future Me** predictions that simulate how a user’s body shape and composition could change under different target conditions (for example, a lower body weight or body fat percentage).\nPredictions are always linked to an existing scan and can be queried or deleted independently of other scans.\n\nAll Future Me endpoints require the following headers:\n```http\naccept: application/json;v=1\nauthorization: Bearer {{API_KEY}}\ncontent-type: application/json\n```\nReplace `{{API_KEY}}` with your Prism API key for the selected environment.","parent":"Prism Hosted API"}],"servers":[{"url":"https://api.hosted.prismlabs.tech","description":"Production environment for Prism Hosted API"},{"url":"https://sandbox-api.hosted.prismlabs.tech","description":"Sandbox environment for Prism Hosted API"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","name":"Authorization","in":"header"}},"schemas":{"BodyShapePredictionDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique ID of the body shape prediction."},"status":{"enum":["CREATED","PROCESSING","READY","FAILED"],"type":"string","description":"The current body shape prediction status."},"scanId":{"type":"string","description":"The unique ID of the scan within the Hosted API on which the body shape prediction is based."},"predictionType":{"type":"string","enum":["weight_loss"],"description":"The prediction type of the prediction."},"targetWeight":{"type":"number","nullable":true,"description":"Target body weight for the prediction."},"targetBodyfat":{"type":"number","nullable":true,"description":"Target body fat for the prediction."},"createdAt":{"type":"string","description":"The date and time when the body shape prediction was created."},"updatedAt":{"type":"string","description":"The date and time when the body shape prediction was last updated."}},"required":["id","status","scanId","predictionType","createdAt","updatedAt"]}}},"paths":{"/body-shape-prediction/{bodyShapePredictionId}":{"delete":{"description":"\nThis operation deletes a specific **body shape prediction**.\nAfter deletion, the body shape prediction and its associated data are no longer available for retrieval or reporting.","operationId":"BodyShapePredictionController_remove_1","parameters":[{"name":"bodyShapePredictionId","required":true,"in":"path","description":"The unique ID of the body shape prediction.","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json;v=1":{"schema":{"$ref":"#/components/schemas/BodyShapePredictionDto"}}}}},"summary":"Delete a body shape prediction","tags":["Future Me"]}}}}
````

## Get all body shape predictions for a scan

> \
> This operation returns all \*\*body shape predictions\*\* associated with a specific \*\*scan\*\*.\
> \
> Use this endpoint to list every \*\*Future Me\*\* prediction that has been created for the scan, for example to show a history of different target scenarios (weight or body fat goals) in your application.

````json
{"openapi":"3.0.3","info":{"title":"Prism Hosted API","version":"1"},"tags":[{"name":"Future Me","description":"### Create Future Me predictions based on user scans.\n\nUse these endpoints to generate **Future Me** predictions that simulate how a user’s body shape and composition could change under different target conditions (for example, a lower body weight or body fat percentage).\nPredictions are always linked to an existing scan and can be queried or deleted independently of other scans.\n\nAll Future Me endpoints require the following headers:\n```http\naccept: application/json;v=1\nauthorization: Bearer {{API_KEY}}\ncontent-type: application/json\n```\nReplace `{{API_KEY}}` with your Prism API key for the selected environment.","parent":"Prism Hosted API"}],"servers":[{"url":"https://api.hosted.prismlabs.tech","description":"Production environment for Prism Hosted API"},{"url":"https://sandbox-api.hosted.prismlabs.tech","description":"Sandbox environment for Prism Hosted API"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http","name":"Authorization","in":"header"}},"schemas":{"BodyShapePredictionDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique ID of the body shape prediction."},"status":{"enum":["CREATED","PROCESSING","READY","FAILED"],"type":"string","description":"The current body shape prediction status."},"scanId":{"type":"string","description":"The unique ID of the scan within the Hosted API on which the body shape prediction is based."},"predictionType":{"type":"string","enum":["weight_loss"],"description":"The prediction type of the prediction."},"targetWeight":{"type":"number","nullable":true,"description":"Target body weight for the prediction."},"targetBodyfat":{"type":"number","nullable":true,"description":"Target body fat for the prediction."},"createdAt":{"type":"string","description":"The date and time when the body shape prediction was created."},"updatedAt":{"type":"string","description":"The date and time when the body shape prediction was last updated."}},"required":["id","status","scanId","predictionType","createdAt","updatedAt"]}}},"paths":{"/scans/{scanId}/body-shape-predictions":{"get":{"description":"\nThis operation returns all **body shape predictions** associated with a specific **scan**.\n\nUse this endpoint to list every **Future Me** prediction that has been created for the scan, for example to show a history of different target scenarios (weight or body fat goals) in your application.","operationId":"BodyShapePredictionController_findByScanId_1","parameters":[{"name":"scanId","required":true,"in":"path","description":"The unique ID of the scan.","schema":{"type":"string"}},{"name":"unit-system","required":false,"in":"query","description":"The unit system in which values will be returned.","schema":{"enum":["metric","imperial"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json;v=1":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BodyShapePredictionDto"}}}}}},"summary":"Get all body shape predictions for a scan","tags":["Future Me"]}}}}
````
